gr::lte::pss_tagger_cc_impl Class Reference

`#include <pss_tagger_cc_impl.h>`

Inheritance diagram for gr::lte::pss_tagger_cc_impl:
[legend]

## Public Member Functions

| pss_tagger_cc_impl (int fftl, std::string &name)
| ~pss_tagger_cc_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_half_frame_start (int start)
void | set_N_id_2 (int nid2)
void | lock ()
void | unlock ()

## Additional Inherited Members

Public Types inherited from gr::lte::pss_tagger_cc
typedef boost::shared_ptr< pss_tagger_cc > | sptr
Static Public Member Functions inherited from gr::lte::pss_tagger_cc
static sptr | make (int fftl, std::string name="pss_tagger_cc")
| Return a shared_ptr to a new instance of lte::pss_tagger_cc.

## Constructor & Destructor Documentation

## pss_tagger_cc_impl()

gr::lte::pss_tagger_cc_impl::pss_tagger_cc_impl | ( | int | fftl,
|  | std::string & | name )

## ~pss_tagger_cc_impl()

gr::lte::pss_tagger_cc_impl::~pss_tagger_cc_impl | ( |  | ) |

## Member Function Documentation

## lock()

void gr::lte::pss_tagger_cc_impl::lock | ( |  | ) |

inlinevirtual

Implements gr::lte::pss_tagger_cc.

## set_half_frame_start()

void gr::lte::pss_tagger_cc_impl::set_half_frame_start | ( | int | start | ) |

inlinevirtual

Implements gr::lte::pss_tagger_cc.

## set_N_id_2()

void gr::lte::pss_tagger_cc_impl::set_N_id_2 | ( | int | nid2 | ) |

inlinevirtual

Implements gr::lte::pss_tagger_cc.

## unlock()

void gr::lte::pss_tagger_cc_impl::unlock | ( |  | ) |

inlinevirtual

Implements gr::lte::pss_tagger_cc.

## work()

int gr::lte::pss_tagger_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- pss_tagger_cc_impl.h